:root{
    --weekday-close-period-border: 1px dashed
    var(--comp-navy-blue);
    --vs-weekday-close-period-border: 1px dashed
    var(--comp-navy-blue);
}

.weekday {
    width: 50px;
    height: 400px;
    /* height: 186%; */
    border-radius: 20px;
    position: relative;
}

.text-direction-up{
    writing-mode: tb;
    transform: rotate(180deg);
}

.weekdays {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-bottom: 25px;
}

.weekday-label {
    writing-mode: tb;
    transform: rotate(180deg);text-align:
        end;font-size: 1.3rem;
    font-weight: 400;
    margin-top: 0px;
    margin-bottom: 0px;
}


.close-time.time:not(.friday .close-time.time) {
    position: absolute;
    top: 31%;
    color: red;
    transform: translate(50%, -80%);
    border-radius: 10px;
    z-index: 1;
    background: transparent;
}

/*-------------------------------------------------------------------------------------------------------------------*/

.operating-hours-timetable-graph .closed-period-2{
    /* border: 1px dashed hsl(16deg 100% 20%); */
    border-radius: 20px 20px 0px 0px;
    border-right: 1px dashed white;
    border-left: 1px dashed white;
    border-top: 1px dashed white;
    border-top:  var(--weekday-close-period-border);
    border-right: var(--weekday-close-period-border);
    border-left: var(--weekday-close-period-border);
}

.operating-hours-timetable-graph .open-time.time {
    position: absolute;
    bottom: 30%;
    color: var(--comp-navy-blue);
    transform: translate(50%, 5%);
    z-index: 1;
    border-radius: 10px;
    background: transparent;
    padding: 0px;
}


.operating-hours-timetable-graph .open-period{
    background-color: var(--comp-navy-blue);
}

.operating-hours-timetable-graph.container {
    margin-top: 50px;
    position: relative;
    margin-left: 0px;
    padding-left: 0px;
}

.operating-hours-timetable-graph .monday .open-period,
.operating-hours-timetable-graph .tuesday .open-period,
.operating-hours-timetable-graph .wednesday .open-period,
.operating-hours-timetable-graph .thursday .open-period
{
    height: 38%;
}

.operating-hours-timetable-graph .friday .open-period{
    height: 33%;
}

.operating-hours-timetable-graph .closed-period-1{
    border-radius: 0px 0px 20px 20px;
    border-left: 1px dashed white;
    border-right: 1px dashed white;
    border-bottom: 1px dashed white;
    border-bottom:  var(--weekday-close-period-border);
    border-right: var(--weekday-close-period-border);
    border-left: var(--weekday-close-period-border);
}

.operating-hours-timetable-graph .monday .closed-period-1,
.operating-hours-timetable-graph .tuesday .closed-period-1,
.operating-hours-timetable-graph .wednesday .closed-period-1,
.operating-hours-timetable-graph .thursday .closed-period-1,
.operating-hours-timetable-graph .friday .closed-period-1
{
    height: 31%;
}

.operating-hours-timetable-graph .monday .closed-period-2,
.operating-hours-timetable-graph .tuesday .closed-period-2,
.operating-hours-timetable-graph .wednesday .closed-period-2,
.operating-hours-timetable-graph .thursday .closed-period-2{
    height: 31%;
}

.operating-hours-timetable-graph .friday .closed-period-2{
    height: 36%;
}

.operating-hours-timetable-graph .friday .close-time.time {
    position: absolute;
    top: 31%;
    color: #ff0000;
    transform: translate(50%, -50%);
    z-index: 1;
    background: transparent;
    border-radius: 10px;
}

/*-------------------------------------------------------------------------------------------------------------------*/

.visiting-hours-timetable-graph .closed-period-2{
    border-radius: 20px 20px 0px 0px;
    border-top:  var(--vs-weekday-close-period-border);
    border-right: var(--vs-weekday-close-period-border);
    border-left: var(--vs-weekday-close-period-border);
}

.visiting-hours-timetable-graph .open-time.time {
    position: absolute;
    bottom: 30%;
    color: var(--comp-navy-blue);
    transform:
    translate(110%, 0%);
    z-index: 1;
    border-radius: 10px;
    background: white;
    padding: 0px;
}

.visiting-hours-timetable-graph .open-period{
    background-color: var(--comp-navy-blue);
}

.visiting-hours-timetable-graph .monday .open-period,
.visiting-hours-timetable-graph .tuesday .open-period,
.visiting-hours-timetable-graph .wednesday .open-period,
.visiting-hours-timetable-graph .thursday .open-period
{
    height: 15%;
}

.visiting-hours-timetable-graph .friday .open-period{
    height: 8%;
}

.visiting-hours-timetable-graph .closed-period-1{
    border-radius: 0 0 20px 20px;
    border-bottom:  var(--vs-weekday-close-period-border);
    border-right: var(--vs-weekday-close-period-border);
    border-left: var(--vs-weekday-close-period-border);
}

.visiting-hours-timetable-graph .monday .closed-period-1,
.visiting-hours-timetable-graph .tuesday .closed-period-1,
.visiting-hours-timetable-graph .wednesday .closed-period-1,
.visiting-hours-timetable-graph .thursday .closed-period-1,
.visiting-hours-timetable-graph .friday .closed-period-1
{
    height: 54%;
}

.visiting-hours-timetable-graph .monday .closed-period-2,
.visiting-hours-timetable-graph .tuesday .closed-period-2,
.visiting-hours-timetable-graph .wednesday .closed-period-2,
.visiting-hours-timetable-graph .thursday .closed-period-2{
    height: 31%;
}

.visiting-hours-timetable-graph .friday .closed-period-2{
    height: 38%;
}

.visiting-hours-timetable-graph .friday .close-time.time {
    position: absolute;
    top: 38%;
    color: red;
    transform: translate(55%, -85%);
    z-index: 1;
    background: transparent;
    border-radius: 10px;
}

.visiting-hours-timetable-graph .close-time.time:not(.friday .close-time.time) {
    position: absolute;
    top: 31%;
    color: red;
    transform: translate(55%, -85%);
    border-radius: 10px;
    z-index: 1;
    background: transparent;
}

.visiting-hours-timetable-graph .open-time.time {
    position: absolute;
    bottom: 52%;
    color: var(--comp-navy-blue);
    transform: translate(55%, 70%);
    z-index: 1;
    border-radius: 10px;
    background: transparent;
    padding: 0px;
}

.time-table-col:first-child {
    border-right: 2px solid silver;
    margin-right: 20px;
}

.time-table-head-cell {
    font-weight: 500;
    -webkit-font-smoothing: subpixel-antialiased;
}

.time-table-row-head {
    border-bottom: 2px solid silver;
}

.weekday:hover {
    transform: scale(1.1);
    transition: transform 0.15s ease-out;
}
.weekday:hover .closed-period-1, .weekday:hover .closed-period-2{
    border-width: 1.6px;
    transition: border-width 0.15s ease-out;
}

.weekday:not( :hover ) .closed-period-1, .weekday:not( :hover ) .closed-period-2{
    transition: border-width 1s;
}

.weekday:not( :hover ){
    transition: transform 0.4s;
}

.visiting-hours-timetable-graph {
    position: relative;
}

section#id-visiting-hours{
    color: white;
    color: var(--comp-navy-blue);
    font-weight: 500;
}

.time-table-col {
    padding-top: 5px;
    padding-bottom: 5px;
}

section#id-operating-hours {
    color: var(--comp-navy-blue);
    font-weight: 500;
}

@media only screen and (max-width: 567px){
    .weekday-label {
        width: 40px;
    }
    
    .weekday .time{
        display: none;
    }

    .vertical-hr {
      display: none;
    }

    .time-table-row{
        display: grid;
        grid-template-columns: 33% 33% 33%;
    }
    .time-table-head{
        border-bottom: 2px solid silver;
    }

    .visiting-hours-timetable-graph {
        margin-left: 0px;
        padding-left: 0px;
    }

    .weekday{
        height: 250px;
        width: 40px;
    }

    .time-table.w-100.desktop {
        display: none;
    }
}

@media only screen and (min-width: 576px){
    .time-table-row {
        display: grid;
        grid-template-columns: 25% 15% 15% 15% 15% 15%;
    }

}

@media (max-width: 992px){
    img.floating{
        display: none;
    }
}

@media (min-width: 1200px){
    #id-operating-hours-col{
        width: 65%;
    }
    
    #id-month-col{
        width: 33%;
    }
}


@media(max-width: 1200px){
    .months{
        width: 100%;
        justify-content: space-around;
    }
}

img.floating {
    position: absolute;
    width: 120px;
    top: 44%;
    right: 8%;
}

div#id-floating-images-container {
    position: fixed;
    width: 300px;
    right: 0px;
    display: none;
}

img#id-floating-image-2 {
    top: 22%;
}

img#id-floating-image-3 {
    top: 66%;
}

img#id-floating-image-4 {
    top: 84%;
}

.day{
    width: 35px;
    height: 25px;
    display: inline-flex;
    justify-content: center;
}

.month{
    width: max-content;
}

.week{
    width: 100%;
}

.cur_day{
    background-color: var(--comp-light-blue);
    border: 1px solid hsl(176deg, 100%, 25%);
    font-weight: 600;
}

#id-cur-month{
    color: var(--comp-navy-blue);
}

#id-prev-month, #id-next-month{
    color: silver;
}